Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# JoystickData Class Reference

A class for holdung all data produced by a joystick or a key equivalent. More...

`#include <JoystickData.h>`

List of all members.

## Public Member Functions
| JoystickData ()
| Constructor.
## Public Attributes
double | x
| The value of the three joystick axes in [-1,1].
double | y
| The value of the three joystick axes in [-1,1].
double | z
| The value of the three joystick axes in [-1,1].
double | accel
| The value of the accelerator in [0,1].
int | button
| Bit array of the pressed buttons.
int | coolie
| The value of the coolie: 0 or 1..8.
bool | directSpecialAction
| Boolean if a special-action is given to be executed.
SpecialActionRequest::SpecialActionID | specialActionID
| The id of the special-action to be executed directly.
unsigned long | timeStamp
| The timestamp when the last data was received.

## Detailed Description

A class for holdung all data produced by a joystick or a key equivalent.

Definition at line 21 of file JoystickData.h.

## Constructor & Destructor Documentation

JoystickData::JoystickData | ( |  | ) |

| Constructor. Definition at line 12 of file JoystickData.cpp. References SystemCall::getCurrentSystemTime().

Here is the call graph for this function:

## Member Data Documentation

double JoystickData::x

| The value of the three joystick axes in [-1,1]. Definition at line 28 of file JoystickData.h. Referenced by operator<<(), operator>>(), and JoystickSymbols::registerSymbols().

double JoystickData::y

| The value of the three joystick axes in [-1,1]. Definition at line 28 of file JoystickData.h. Referenced by operator<<(), operator>>(), and JoystickSymbols::registerSymbols().

double JoystickData::z

| The value of the three joystick axes in [-1,1]. Definition at line 28 of file JoystickData.h. Referenced by operator<<(), operator>>(), and JoystickSymbols::registerSymbols().

double JoystickData::accel

| The value of the accelerator in [0,1]. Definition at line 31 of file JoystickData.h. Referenced by operator<<(), operator>>(), and JoystickSymbols::registerSymbols().

int JoystickData::button

| Bit array of the pressed buttons. Definition at line 34 of file JoystickData.h. Referenced by JoystickSymbols::getJoystickButton(), operator<<(), and operator>>().

int JoystickData::coolie

| The value of the coolie: 0 or 1..8. Definition at line 37 of file JoystickData.h. Referenced by operator<<(), operator>>(), and JoystickSymbols::registerSymbols().

bool JoystickData::directSpecialAction

| Boolean if a special-action is given to be executed. Definition at line 40 of file JoystickData.h. Referenced by operator<<(), operator>>(), and JoystickSymbols::registerSymbols().

SpecialActionRequest::SpecialActionID JoystickData::specialActionID

| The id of the special-action to be executed directly. Definition at line 43 of file JoystickData.h. Referenced by JoystickSymbols::getSpecialActionId(), operator<<(), and operator>>().

unsigned long JoystickData::timeStamp

| The timestamp when the last data was received. Note that this value is set in the In streaming operator. Definition at line 49 of file JoystickData.h. Referenced by JoystickSymbols::getJoystickTimeSinceLastMessage(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/JoystickData.h
- Representations/JoystickData.cpp